
# -*- coding: utf-8 -*-
#
#	Created by rcc2py resource compiler.
#
#	WARNING! All changes made in this file will be lost!

import base64
from tempfile import NamedTemporaryFile

RESOURCE = '[encoded data, 246928 characters]'

def get_resource(file=True):
	resource_file = NamedTemporaryFile(delete=file)
	resource_file.write(base64.b32decode(RESOURCE))
	if file:
		resource_file.file.seek(0)
		return resource_file
	else:
		filename = resource_file.name
		resource_file.close()
		return filename
		
def save_resource(path):
	file = open(path,'wb')
	file.write(base64.b32decode(RESOURCE))
	file.close()
